<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/MediaPlayer/GStreamerMediaPlayer/test/MediaPlayerTest.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_9d34932954f3d83257e5e12e3f421a72.html">MediaPlayer</a></li><li class="navelem"><a class="el" href="dir_e1f7d5df1447213cfb529aad5fa2c859.html">GStreamerMediaPlayer</a></li><li class="navelem"><a class="el" href="dir_c8b7016d00f27fb841ebdfed199c4e61.html">test</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">MediaPlayerTest.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;algorithm&gt;</code><br />
<code>#include &lt;chrono&gt;</code><br />
<code>#include &lt;condition_variable&gt;</code><br />
<code>#include &lt;fstream&gt;</code><br />
<code>#include &lt;memory&gt;</code><br />
<code>#include &lt;mutex&gt;</code><br />
<code>#include &lt;thread&gt;</code><br />
<code>#include &lt;unordered_map&gt;</code><br />
<code>#include &lt;gmock/gmock.h&gt;</code><br />
<code>#include &lt;gtest/gtest.h&gt;</code><br />
<code>#include &lt;<a class="el" href="_alexa_client_s_d_k_init_8h_source.html">AVSCommon/AVS/Initialization/AlexaClientSDKInit.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_speaker_constants_8h_source.html">AVSCommon/AVS/SpeakerConstants/SpeakerConstants.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_configuration_node_8h_source.html">AVSCommon/Utils/Configuration/ConfigurationNode.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_logger_8h_source.html">AVSCommon/Utils/Logger/Logger.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_memory_8h_source.html">AVSCommon/Utils/Memory/Memory.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_playlist_parser_8h_source.html">PlaylistParser/PlaylistParser.h</a>&gt;</code><br />
<code>#include &quot;<a class="el" href="_media_player_8h_source.html">MediaPlayer/MediaPlayer.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_media_player_observer_interface_8h_source.html">AVSCommon/Utils/MediaPlayer/MediaPlayerObserverInterface.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for MediaPlayerTest.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_media_player_test_8cpp__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_media_player_2_g_streamer_media_player_2test_2_media_player_test_8cpp" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_media_player_2_g_streamer_media_player_2test_2_media_player_test_8cpp" id="_2workplace_2avs-device-sdk_2_media_player_2_g_streamer_media_player_2test_2_media_player_test_8cpp">
<area shape="rect" id="node12" href="_alexa_client_s_d_k_init_8h.html" title="AVSCommon/AVS/Initialization\l/AlexaClientSDKInit.h" alt="" coords="547,372,751,411"/>
<area shape="rect" id="node16" href="_speaker_constants_8h.html" title="AVSCommon/AVS/SpeakerConstants\l/SpeakerConstants.h" alt="" coords="3516,105,3760,144"/>
<area shape="rect" id="node18" href="_configuration_node_8h.html" title="AVSCommon/Utils/Configuration\l/ConfigurationNode.h" alt="" coords="309,372,522,411"/>
<area shape="rect" id="node22" href="_logger_8h.html" title="AVSCommon/Utils/Logger\l/Logger.h" alt="" coords="702,192,878,231"/>
<area shape="rect" id="node28" href="_memory_8h.html" title="AVSCommon/Utils/Memory\l/Memory.h" alt="" coords="2383,372,2565,411"/>
<area shape="rect" id="node30" href="_playlist_parser_8h.html" title="PlaylistParser/PlaylistParser.h" alt="" coords="1908,285,2107,311"/>
<area shape="rect" id="node39" href="_media_player_8h.html" title="MediaPlayer/MediaPlayer.h" alt="" coords="2836,112,3019,137"/>
<area shape="rect" id="node47" href="_media_player_observer_interface_8h.html" title="AVSCommon/Utils/MediaPlayer\l/MediaPlayerObserverInterface.h" alt="" coords="1312,192,1529,231"/>
<area shape="rect" id="node24" href="_level_8h.html" title="AVSCommon/Utils/Logger\l/Level.h" alt="" coords="774,372,950,411"/>
<area shape="rect" id="node25" href="_log_entry_8h.html" title="AVSCommon/Utils/Logger\l/LogEntry.h" alt="" coords="827,279,1003,317"/>
<area shape="rect" id="node26" href="_log_level_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/LogLevelObserverInterface.h" alt="" coords="556,279,753,317"/>
<area shape="rect" id="node27" href="_sink_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/SinkObserverInterface.h" alt="" coords="1027,279,1203,317"/>
<area shape="rect" id="node32" href="_attachment_reader_8h.html" title="AVSCommon/AVS/Attachment\l/AttachmentReader.h" alt="" coords="2691,372,2892,411"/>
<area shape="rect" id="node33" href="_h_t_t_p_content_fetcher_interface_factory_interface_8h.html" title="AVSCommon/SDKInterfaces\l/HTTPContentFetcherInterface\lFactoryInterface.h" alt="" coords="1743,365,1947,417"/>
<area shape="rect" id="node34" href="_playlist_parser_interface_8h.html" title="AVSCommon/Utils/Playlist\lParser/PlaylistParserInterface.h" alt="" coords="1270,372,1478,411"/>
<area shape="rect" id="node35" href="_requires_shutdown_8h.html" title="AVSCommon/Utils/Requires\lShutdown.h" alt="" coords="2020,372,2208,411"/>
<area shape="rect" id="node36" href="_executor_8h.html" title="AVSCommon/Utils/Threading\l/Executor.h" alt="" coords="3069,372,3263,411"/>
<area shape="rect" id="node44" href="_equalizer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Audio/EqualizerInterface.h" alt="" coords="2748,192,2939,231"/>
<area shape="rect" id="node45" href="_speaker_interface_8h.html" title="AVSCommon/SDKInterfaces\l/SpeakerInterface.h" alt="" coords="2963,192,3153,231"/>
<area shape="rect" id="node46" href="_media_player_interface_8h.html" title="AVSCommon/Utils/MediaPlayer\l/MediaPlayerInterface.h" alt="" coords="2884,279,3093,317"/>
<area shape="rect" id="node48" href="_url_content_to_attachment_converter_8h.html" title="PlaylistParser/UrlContent\lToAttachmentConverter.h" alt="" coords="2138,192,2309,231"/>
<area shape="rect" id="node49" href="_offset_manager_8h.html" title="MediaPlayer/OffsetManager.h" alt="" coords="3167,285,3365,311"/>
<area shape="rect" id="node50" href="_pipeline_interface_8h.html" title="MediaPlayer/PipelineInterface.h" alt="" coords="3381,199,3591,224"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1test_1_1_mock_content_fetcher.html">alexaClientSDK::mediaPlayer::test::MockContentFetcher</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">A mock content fetcher.  <a href="classalexa_client_s_d_k_1_1media_player_1_1test_1_1_mock_content_fetcher.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1test_1_1_mock_content_fetcher_factory.html">alexaClientSDK::mediaPlayer::test::MockContentFetcherFactory</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">A mock factory that creates mock content fetchers.  <a href="classalexa_client_s_d_k_1_1media_player_1_1test_1_1_mock_content_fetcher_factory.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1test_1_1_mock_attachment_reader.html">alexaClientSDK::mediaPlayer::test::MockAttachmentReader</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1test_1_1_mock_player_observer.html">alexaClientSDK::mediaPlayer::test::MockPlayerObserver</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1test_1_1_media_player_test.html">alexaClientSDK::mediaPlayer::test::MediaPlayerTest</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1media_player"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player.html">alexaClientSDK::mediaPlayer</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1media_player_1_1test"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html">alexaClientSDK::mediaPlayer::test</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_media_player_test_8cpp.html#ad8bc9ca8e55a0ebf538e46e28bf26262">LX</a>(event)&#160;&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>(<a class="el" href="_u_i_manager_8cpp.html#ada5473a95becdcf63a8f83e7f05fefe7">TAG</a>, event)</td></tr>
<tr class="separator:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a297d53ae33b64ad7d6a7363a6c1c564d"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#a297d53ae33b64ad7d6a7363a6c1c564d">alexaClientSDK::mediaPlayer::test::TAG</a> (&quot;MediaPlayerTest&quot;)</td></tr>
<tr class="memdesc:a297d53ae33b64ad7d6a7363a6c1c564d"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#a297d53ae33b64ad7d6a7363a6c1c564d">More...</a><br /></td></tr>
<tr class="separator:a297d53ae33b64ad7d6a7363a6c1c564d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c0a5a1fd4a877c0818501df9109705a"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#a9c0a5a1fd4a877c0818501df9109705a">alexaClientSDK::mediaPlayer::test::MP3_FILE_PATH</a> (&quot;/fox_dog.mp3&quot;)</td></tr>
<tr class="memdesc:a9c0a5a1fd4a877c0818501df9109705a"><td class="mdescLeft">&#160;</td><td class="mdescRight">MP3 test file path.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#a9c0a5a1fd4a877c0818501df9109705a">More...</a><br /></td></tr>
<tr class="separator:a9c0a5a1fd4a877c0818501df9109705a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a823fc87c8a0be11a0eb992ac85239f16"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#a823fc87c8a0be11a0eb992ac85239f16">alexaClientSDK::mediaPlayer::test::TEST_M3U_PLAYLIST_URL</a> (&quot;fox_dog_playlist.m3u&quot;)</td></tr>
<tr class="separator:a823fc87c8a0be11a0eb992ac85239f16"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae312c3c1646a532947f99d1cf970ca6a"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#ae312c3c1646a532947f99d1cf970ca6a">alexaClientSDK::mediaPlayer::test::FILE_PREFIX</a> (&quot;file://&quot;)</td></tr>
<tr class="memdesc:ae312c3c1646a532947f99d1cf970ca6a"><td class="mdescLeft">&#160;</td><td class="mdescRight">file URI Prefix  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#ae312c3c1646a532947f99d1cf970ca6a">More...</a><br /></td></tr>
<tr class="separator:ae312c3c1646a532947f99d1cf970ca6a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8529a5c17d368370b64818edf018469"><td class="memItemLeft" align="right" valign="top">static const std::chrono::milliseconds&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#ae8529a5c17d368370b64818edf018469">alexaClientSDK::mediaPlayer::test::MP3_FILE_LENGTH</a> (2688)</td></tr>
<tr class="memdesc:ae8529a5c17d368370b64818edf018469"><td class="mdescLeft">&#160;</td><td class="mdescRight">File length for the MP3 test file.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#ae8529a5c17d368370b64818edf018469">More...</a><br /></td></tr>
<tr class="separator:ae8529a5c17d368370b64818edf018469"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab315a97aa709149c52e8bb874899463b"><td class="memItemLeft" align="right" valign="top">static const std::chrono::milliseconds&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#ab315a97aa709149c52e8bb874899463b">alexaClientSDK::mediaPlayer::test::OFFSET</a> (2000)</td></tr>
<tr class="memdesc:ab315a97aa709149c52e8bb874899463b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Offset to start playback at.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#ab315a97aa709149c52e8bb874899463b">More...</a><br /></td></tr>
<tr class="separator:ab315a97aa709149c52e8bb874899463b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f01724a8fc760fba8828f2d06396e58"><td class="memItemLeft" align="right" valign="top">static const std::chrono::milliseconds&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#a9f01724a8fc760fba8828f2d06396e58">alexaClientSDK::mediaPlayer::test::TOLERANCE</a> (500)</td></tr>
<tr class="memdesc:a9f01724a8fc760fba8828f2d06396e58"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tolerance when setting expectations.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#a9f01724a8fc760fba8828f2d06396e58">More...</a><br /></td></tr>
<tr class="separator:a9f01724a8fc760fba8828f2d06396e58"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aceef7f9f8056176bc846892e2ae74b49"><td class="memItemLeft" align="right" valign="top">static const std::chrono::milliseconds&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#aceef7f9f8056176bc846892e2ae74b49">alexaClientSDK::mediaPlayer::test::PADDING</a> (10)</td></tr>
<tr class="memdesc:aceef7f9f8056176bc846892e2ae74b49"><td class="mdescLeft">&#160;</td><td class="mdescRight">Padding to add to offsets when necessary.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#aceef7f9f8056176bc846892e2ae74b49">More...</a><br /></td></tr>
<tr class="separator:aceef7f9f8056176bc846892e2ae74b49"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1ceed47f3f0b0058caba63fb14c72eea"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#a1ceed47f3f0b0058caba63fb14c72eea">alexaClientSDK::mediaPlayer::test::INSTANTIATE_TEST_CASE_P</a> (Parameterized, MediaPlayerTest, ::testing::Bool())</td></tr>
<tr class="separator:a1ceed47f3f0b0058caba63fb14c72eea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa0175dcd0aac6e1c1ebcc2d48b9dfe29"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#aa0175dcd0aac6e1c1ebcc2d48b9dfe29">alexaClientSDK::mediaPlayer::test::TEST_P</a> (MediaPlayerTest, testSlow_startPlayWaitForEnd)</td></tr>
<tr class="separator:aa0175dcd0aac6e1c1ebcc2d48b9dfe29"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1cfb8878a53ae5f48323607caab3d15c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#a1cfb8878a53ae5f48323607caab3d15c">alexaClientSDK::mediaPlayer::test::TEST_P</a> (MediaPlayerTest, testSlow_startPlayForUrl)</td></tr>
<tr class="separator:a1cfb8878a53ae5f48323607caab3d15c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a07f493fe1cdadebb878f1cd6a24e10d9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#a07f493fe1cdadebb878f1cd6a24e10d9">alexaClientSDK::mediaPlayer::test::TEST_P</a> (MediaPlayerTest, testSlow_consecutiveSetSource)</td></tr>
<tr class="separator:a07f493fe1cdadebb878f1cd6a24e10d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c290f93d94ef017fb48e8e8528b1c1b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#a8c290f93d94ef017fb48e8e8528b1c1b">alexaClientSDK::mediaPlayer::test::TEST_P</a> (MediaPlayerTest, testSlow_startPlayWaitForEndStartPlayAgain)</td></tr>
<tr class="separator:a8c290f93d94ef017fb48e8e8528b1c1b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afbb4d956e2426313a43fec935c05bfa8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#afbb4d956e2426313a43fec935c05bfa8">alexaClientSDK::mediaPlayer::test::TEST_P</a> (MediaPlayerTest, testSlow_stopPlay)</td></tr>
<tr class="separator:afbb4d956e2426313a43fec935c05bfa8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a816da881313b1c6ac26cf0f04d3fafdb"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#a816da881313b1c6ac26cf0f04d3fafdb">alexaClientSDK::mediaPlayer::test::TEST_P</a> (MediaPlayerTest, testSlow_startPlayCallAfterStopPlay)</td></tr>
<tr class="separator:a816da881313b1c6ac26cf0f04d3fafdb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2fd2541c8d5e807fa76013c5a31d24a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#aa2fd2541c8d5e807fa76013c5a31d24a">alexaClientSDK::mediaPlayer::test::TEST_P</a> (MediaPlayerTest, testSlow_startPlayCallAfterStopPlayDifferentSource)</td></tr>
<tr class="separator:aa2fd2541c8d5e807fa76013c5a31d24a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab06fa26b8596785ec0e8670942b87c9e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#ab06fa26b8596785ec0e8670942b87c9e">alexaClientSDK::mediaPlayer::test::TEST_P</a> (MediaPlayerTest, testSlow_pauseDuringPlay)</td></tr>
<tr class="separator:ab06fa26b8596785ec0e8670942b87c9e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3358fb35007d07a186a19f0fff3189fd"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#a3358fb35007d07a186a19f0fff3189fd">alexaClientSDK::mediaPlayer::test::TEST_P</a> (MediaPlayerTest, testSlow_resumeAfterPauseThenStop)</td></tr>
<tr class="separator:a3358fb35007d07a186a19f0fff3189fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23afaaae4032dd82d8a5d494fc9afeac"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#a23afaaae4032dd82d8a5d494fc9afeac">alexaClientSDK::mediaPlayer::test::TEST_P</a> (MediaPlayerTest, testSlow_stopAfterPause)</td></tr>
<tr class="separator:a23afaaae4032dd82d8a5d494fc9afeac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1072e5d5de1e28d06c296d08498a412"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#ab1072e5d5de1e28d06c296d08498a412">alexaClientSDK::mediaPlayer::test::TEST_P</a> (MediaPlayerTest, testSlow_pauseAfterPause)</td></tr>
<tr class="separator:ab1072e5d5de1e28d06c296d08498a412"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1695bdf5be09dce9e660d4afeedff130"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#a1695bdf5be09dce9e660d4afeedff130">alexaClientSDK::mediaPlayer::test::TEST_P</a> (MediaPlayerTest, test_resumeAfterPlay)</td></tr>
<tr class="separator:a1695bdf5be09dce9e660d4afeedff130"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b41515c3fe9a8757bf0576d5679ee4c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#a9b41515c3fe9a8757bf0576d5679ee4c">alexaClientSDK::mediaPlayer::test::TEST_P</a> (MediaPlayerTest, testSlow_getOffsetInMilliseconds)</td></tr>
<tr class="separator:a9b41515c3fe9a8757bf0576d5679ee4c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad9dd27467c5bdf3ddb0a0449afdbde07"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#ad9dd27467c5bdf3ddb0a0449afdbde07">alexaClientSDK::mediaPlayer::test::TEST_P</a> (MediaPlayerTest, test_getOffsetInMillisecondsNullPipeline)</td></tr>
<tr class="separator:ad9dd27467c5bdf3ddb0a0449afdbde07"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae098273afbe3c6ff55b829e7e36e5da2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#ae098273afbe3c6ff55b829e7e36e5da2">alexaClientSDK::mediaPlayer::test::TEST_P</a> (MediaPlayerTest, testSlow_getOffsetWhenStoppedFails)</td></tr>
<tr class="memdesc:ae098273afbe3c6ff55b829e7e36e5da2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tests that calls to getOffset fail when the pipeline is in a stopped state.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#ae098273afbe3c6ff55b829e7e36e5da2">More...</a><br /></td></tr>
<tr class="separator:ae098273afbe3c6ff55b829e7e36e5da2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab820b5e9d116c91bbb7329b5f61a8879"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#ab820b5e9d116c91bbb7329b5f61a8879">alexaClientSDK::mediaPlayer::test::TEST_P</a> (MediaPlayerTest, testSlow_getOffsetWhenPaused)</td></tr>
<tr class="memdesc:ab820b5e9d116c91bbb7329b5f61a8879"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tests that calls to getOffset succeed when the pipeline is in a paused state.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#ab820b5e9d116c91bbb7329b5f61a8879">More...</a><br /></td></tr>
<tr class="separator:ab820b5e9d116c91bbb7329b5f61a8879"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac53da9b86757605103ce7f6da8355d2c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#ac53da9b86757605103ce7f6da8355d2c">alexaClientSDK::mediaPlayer::test::TEST_P</a> (MediaPlayerTest, testSlow_playingTwoAttachments)</td></tr>
<tr class="separator:ac53da9b86757605103ce7f6da8355d2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad10f5c6d6b85dfeddcfa4a43ee1659ab"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#ad10f5c6d6b85dfeddcfa4a43ee1659ab">alexaClientSDK::mediaPlayer::test::TEST_P</a> (MediaPlayerTest, testSlow_unsteadyReads)</td></tr>
<tr class="separator:ad10f5c6d6b85dfeddcfa4a43ee1659ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a562096314dce9059b9d24a65aed002e4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#a562096314dce9059b9d24a65aed002e4">alexaClientSDK::mediaPlayer::test::TEST_P</a> (MediaPlayerTest, testSlow_recoveryFromPausedReads)</td></tr>
<tr class="separator:a562096314dce9059b9d24a65aed002e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0ce7b914e328d3bb8e4d0f2573d2759c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#a0ce7b914e328d3bb8e4d0f2573d2759c">alexaClientSDK::mediaPlayer::test::TEST_P</a> (MediaPlayerTest, testSlow_startPlayWithUrlPlaylistWaitForEnd)</td></tr>
<tr class="memdesc:a0ce7b914e328d3bb8e4d0f2573d2759c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tests playing a dummy playlist.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#a0ce7b914e328d3bb8e4d0f2573d2759c">More...</a><br /></td></tr>
<tr class="separator:a0ce7b914e328d3bb8e4d0f2573d2759c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acadf10da35f45d709aa2f8909015ead0"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#acadf10da35f45d709aa2f8909015ead0">alexaClientSDK::mediaPlayer::test::TEST_P</a> (MediaPlayerTest, testSlow_setOffsetSeekableSource)</td></tr>
<tr class="separator:acadf10da35f45d709aa2f8909015ead0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56d34b52aed42973a2bad0e152f83ce3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#a56d34b52aed42973a2bad0e152f83ce3">alexaClientSDK::mediaPlayer::test::TEST_P</a> (MediaPlayerTest, DISABLED_test_setOffsetOutsideBounds)</td></tr>
<tr class="separator:a56d34b52aed42973a2bad0e152f83ce3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5055444da0a0f70aaacdc04271c29e8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#ad5055444da0a0f70aaacdc04271c29e8">alexaClientSDK::mediaPlayer::test::TEST_P</a> (MediaPlayerTest, DISABLED_test_setSourceResetsOffset)</td></tr>
<tr class="separator:ad5055444da0a0f70aaacdc04271c29e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a256befd893e5636cc77e704782ee53d0"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#a256befd893e5636cc77e704782ee53d0">alexaClientSDK::mediaPlayer::test::TEST_P</a> (MediaPlayerTest, testSlow_repeatAttachment)</td></tr>
<tr class="separator:a256befd893e5636cc77e704782ee53d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1db4b8ea33048ee47ed691d6e5861086"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#a1db4b8ea33048ee47ed691d6e5861086">alexaClientSDK::mediaPlayer::test::TEST_P</a> (MediaPlayerTest, testSlow_setVolumePlays)</td></tr>
<tr class="separator:a1db4b8ea33048ee47ed691d6e5861086"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afd84c2580ec4ab4a7820e831fc722ca4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#afd84c2580ec4ab4a7820e831fc722ca4">alexaClientSDK::mediaPlayer::test::TEST_P</a> (MediaPlayerTest, testSlow_adjustVolumePlaysDuringPlay)</td></tr>
<tr class="separator:afd84c2580ec4ab4a7820e831fc722ca4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a83f0898891776c515bd6b8024f513140"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#a83f0898891776c515bd6b8024f513140">alexaClientSDK::mediaPlayer::test::TEST_P</a> (MediaPlayerTest, testSlow_adjustVolumePlays)</td></tr>
<tr class="separator:a83f0898891776c515bd6b8024f513140"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2fe8cc02c1e596cb98f6134a63de48f7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#a2fe8cc02c1e596cb98f6134a63de48f7">alexaClientSDK::mediaPlayer::test::TEST_P</a> (MediaPlayerTest, testSlow_adjustVolumeOutOfBounds)</td></tr>
<tr class="separator:a2fe8cc02c1e596cb98f6134a63de48f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab0affe025fe2943edc3b65bf8f4a4dae"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#ab0affe025fe2943edc3b65bf8f4a4dae">alexaClientSDK::mediaPlayer::test::TEST_P</a> (MediaPlayerTest, testSlow_setMutePlays)</td></tr>
<tr class="separator:ab0affe025fe2943edc3b65bf8f4a4dae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad6761ad0d207de9ccd83ff398d03a24c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#ad6761ad0d207de9ccd83ff398d03a24c">alexaClientSDK::mediaPlayer::test::TEST_P</a> (MediaPlayerTest, test_getSpeakerSettings)</td></tr>
<tr class="separator:ad6761ad0d207de9ccd83ff398d03a24c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a754579b773fdcc4089d3458a4a414314"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#a754579b773fdcc4089d3458a4a414314">alexaClientSDK::mediaPlayer::test::TEST_P</a> (MediaPlayerTest, test_roundingEdgeCase)</td></tr>
<tr class="separator:a754579b773fdcc4089d3458a4a414314"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2966bce6da43be1ea298c62e380d6833"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#a2966bce6da43be1ea298c62e380d6833">alexaClientSDK::mediaPlayer::test::TEST_P</a> (MediaPlayerTest, testSlow_readTags)</td></tr>
<tr class="separator:a2966bce6da43be1ea298c62e380d6833"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8adb60cb8f0bd38ce033db24ea5abf4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#ac8adb60cb8f0bd38ce033db24ea5abf4">alexaClientSDK::mediaPlayer::test::TEST_P</a> (MediaPlayerTest, test_consecutiveSameApiCalls)</td></tr>
<tr class="memdesc:ac8adb60cb8f0bd38ce033db24ea5abf4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tests that consecutive calls to the same public API fails.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#ac8adb60cb8f0bd38ce033db24ea5abf4">More...</a><br /></td></tr>
<tr class="separator:ac8adb60cb8f0bd38ce033db24ea5abf4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27f726f90bedf8f9271d2730e7cadf45"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#a27f726f90bedf8f9271d2730e7cadf45">alexaClientSDK::mediaPlayer::test::TEST_P</a> (MediaPlayerTest, testSlow_immediatePause)</td></tr>
<tr class="memdesc:a27f726f90bedf8f9271d2730e7cadf45"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tests that pausing immediately before waiting for a callback is valid.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#a27f726f90bedf8f9271d2730e7cadf45">More...</a><br /></td></tr>
<tr class="separator:a27f726f90bedf8f9271d2730e7cadf45"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a1d5b7557368908e9e961e74e425d06"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#a2a1d5b7557368908e9e961e74e425d06">alexaClientSDK::mediaPlayer::test::TEST_P</a> (MediaPlayerTest, testSlow_multiplePlayAndSetSource)</td></tr>
<tr class="memdesc:a2a1d5b7557368908e9e961e74e425d06"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tests setting multiple set source calls and observing onPlaybackStopped and onPlaybackFinished calls.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#a2a1d5b7557368908e9e961e74e425d06">More...</a><br /></td></tr>
<tr class="separator:a2a1d5b7557368908e9e961e74e425d06"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeaf80fd61940027e4d400bab62a978b5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#aeaf80fd61940027e4d400bab62a978b5">alexaClientSDK::mediaPlayer::test::TEST_P</a> (MediaPlayerTest, test_invalidSourceId)</td></tr>
<tr class="memdesc:aeaf80fd61940027e4d400bab62a978b5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tests passing an invalid source id to a play() call.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#aeaf80fd61940027e4d400bab62a978b5">More...</a><br /></td></tr>
<tr class="separator:aeaf80fd61940027e4d400bab62a978b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace0cc8c3787755520f2a4cda1cca5949"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#ace0cc8c3787755520f2a4cda1cca5949">alexaClientSDK::mediaPlayer::test::TEST_P</a> (MediaPlayerTest, test_doublePause)</td></tr>
<tr class="memdesc:ace0cc8c3787755520f2a4cda1cca5949"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tests that two consecutive calls to pause fails.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#ace0cc8c3787755520f2a4cda1cca5949">More...</a><br /></td></tr>
<tr class="separator:ace0cc8c3787755520f2a4cda1cca5949"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abd6c16cfb4551d0c451ba5bd9e2ccaea"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#abd6c16cfb4551d0c451ba5bd9e2ccaea">alexaClientSDK::mediaPlayer::test::TEST_P</a> (MediaPlayerTest, test_resumeWhenPlaying)</td></tr>
<tr class="memdesc:abd6c16cfb4551d0c451ba5bd9e2ccaea"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tests that a resume when already playing fails.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#abd6c16cfb4551d0c451ba5bd9e2ccaea">More...</a><br /></td></tr>
<tr class="separator:abd6c16cfb4551d0c451ba5bd9e2ccaea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a637c11c34af6f8afcb7642aab4d71bb0"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#a637c11c34af6f8afcb7642aab4d71bb0">alexaClientSDK::mediaPlayer::test::TEST_P</a> (MediaPlayerTest, test_resumeWhenStopped)</td></tr>
<tr class="memdesc:a637c11c34af6f8afcb7642aab4d71bb0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tests that a resume when stopped (not paused) fails.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#a637c11c34af6f8afcb7642aab4d71bb0">More...</a><br /></td></tr>
<tr class="separator:a637c11c34af6f8afcb7642aab4d71bb0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6da43260b63983534c33bebee1e5968e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#a6da43260b63983534c33bebee1e5968e">alexaClientSDK::mediaPlayer::test::TEST_P</a> (MediaPlayerTest, test_newSetSourceLeadsToStoppedCallback)</td></tr>
<tr class="memdesc:a6da43260b63983534c33bebee1e5968e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tests that a stop callback when playing leads to an onPlaybackStopped callback.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#a6da43260b63983534c33bebee1e5968e">More...</a><br /></td></tr>
<tr class="separator:a6da43260b63983534c33bebee1e5968e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac40ab6977d237c0ab8ce6609725f40b6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#ac40ab6977d237c0ab8ce6609725f40b6">alexaClientSDK::mediaPlayer::test::TEST_P</a> (MediaPlayerTest, testSlow_resumeAfterPauseWithPendingPlay)</td></tr>
<tr class="memdesc:ac40ab6977d237c0ab8ce6609725f40b6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tests that resuming after a pause with a pending play leads to an onPlaybackResumed callback.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#ac40ab6977d237c0ab8ce6609725f40b6">More...</a><br /></td></tr>
<tr class="separator:ac40ab6977d237c0ab8ce6609725f40b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2aa0d9e23cd340098c1243389481225b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#a2aa0d9e23cd340098c1243389481225b">alexaClientSDK::mediaPlayer::test::TEST_P</a> (MediaPlayerTest, testSlow_repeatPlayForUrl)</td></tr>
<tr class="memdesc:a2aa0d9e23cd340098c1243389481225b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tests that playing continues until stop is called when repeat is on.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#a2aa0d9e23cd340098c1243389481225b">More...</a><br /></td></tr>
<tr class="separator:a2aa0d9e23cd340098c1243389481225b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c04138a5bfe5d72780bb7e82a18e627"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_media_player_test_8cpp.html#a3c04138a5bfe5d72780bb7e82a18e627">main</a> (int argc, char **argv)</td></tr>
<tr class="separator:a3c04138a5bfe5d72780bb7e82a18e627"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a23ad06b9f640b29d30198cf74b4739f7"><td class="memItemLeft" align="right" valign="top">static const MediaPlayer::SourceId&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#a23ad06b9f640b29d30198cf74b4739f7">alexaClientSDK::mediaPlayer::test::ERROR_SOURCE_ID</a> = MediaPlayer::ERROR</td></tr>
<tr class="separator:a23ad06b9f640b29d30198cf74b4739f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af98103c8ebaf06a8ec3b2052db9ff0df"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#af98103c8ebaf06a8ec3b2052db9ff0df">alexaClientSDK::mediaPlayer::test::inputsDirPath</a></td></tr>
<tr class="memdesc:af98103c8ebaf06a8ec3b2052db9ff0df"><td class="mdescLeft">&#160;</td><td class="mdescRight">The path to the input Dir containing the test audio files.  <a href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#af98103c8ebaf06a8ec3b2052db9ff0df">More...</a><br /></td></tr>
<tr class="separator:af98103c8ebaf06a8ec3b2052db9ff0df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa175e88b526e0c6bb31e901835a86219"><td class="memItemLeft" align="right" valign="top">static std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#aa175e88b526e0c6bb31e901835a86219">alexaClientSDK::mediaPlayer::test::TEST_M3U_PLAYLIST_CONTENT</a></td></tr>
<tr class="separator:aa175e88b526e0c6bb31e901835a86219"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a986ec94b8e325194390b065cc20a76a7"><td class="memItemLeft" align="right" valign="top">static std::unordered_map&lt; std::string, std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#a986ec94b8e325194390b065cc20a76a7">alexaClientSDK::mediaPlayer::test::urlsToContentTypes</a></td></tr>
<tr class="separator:a986ec94b8e325194390b065cc20a76a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa8a3f7e23776fa4a6948fef366534627"><td class="memItemLeft" align="right" valign="top">static std::unordered_map&lt; std::string, std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1test.html#aa8a3f7e23776fa4a6948fef366534627">alexaClientSDK::mediaPlayer::test::urlsToContent</a></td></tr>
<tr class="separator:aa8a3f7e23776fa4a6948fef366534627"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="ad8bc9ca8e55a0ebf538e46e28bf26262"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad8bc9ca8e55a0ebf538e46e28bf26262">&#9670;&nbsp;</a></span>LX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define LX</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">event</td><td>)</td>
          <td>&#160;&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>(<a class="el" href="_u_i_manager_8cpp.html#ada5473a95becdcf63a8f83e7f05fefe7">TAG</a>, event)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Create a LogEntry using this file's TAG and the specified event string.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">The</td><td>event string for this <code>LogEntry</code>. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="a3c04138a5bfe5d72780bb7e82a18e627"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3c04138a5bfe5d72780bb7e82a18e627">&#9670;&nbsp;</a></span>main()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int main </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>argc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char **&#160;</td>
          <td class="paramname"><em>argv</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
